# gschem

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SCHEMATIC AND SYMBOL FILES
ENVIRONMENT
AUTHORS
COPYRIGHT
SEE ALSO

## NAME

gschem - gEDA/gaf Schematic Capture

## SYNOPSIS

gschem [OPTION ...] [--] [FILE ...]

## DESCRIPTION

gschem is a schematic capture application, and is part of the gEDA (GPL Electronic Design Automation) toolset. It is used to draw electronic schematics, which describe the logical structure of an circuit. Schematics are made up of symbols, which represent the various components in the circuit, and are obtained either from a standard library or created by the user. The connections between components represented by nets (wires). Schematics may be printed to a PostScript file for printing or further conversion to other output formats. Output to various image formats is also supported.

gschem can also be used for editing symbols for use in schematics.

## OPTIONS

-q, --quiet

Quiet mode. Turn off all warnings/notes/messages.

-v, --verbose

Verbose mode. Output all diagnostic information.

-r, --config-file=FILE

Specify an additional configuration file. Normally gschem searches for the system configuration file, then ‘$HOME/.gEDA/gschemrc’, and finally for a ‘gschemrc’ file in the current working directory. This option allows the user to specify an additional rc file which is read after all the other rc files have been are read.

-L DIRECTORY

Prepend DIRECTORY to the list of directories to be searched for Scheme files.

| -s FILE |  | Specify a Scheme script to be executed at startup.
| -c EXPR |  | Specify a Scheme expression to be evaluated at startup.

-o, --output=FILE

Specify a filename for PostScript output. This command line argument is useful when running gschem from a shell script and with a Scheme script. The filename can be changed through the print dialog box.

| -p |  | Automatically place the window. This may be useful if running gschem from the command line and generating output.

-h, --help

Print a help message.

-V, --version

Print gschem version information.

| -- |  | Treat all remaining arguments as schematic or symbol filenames. Use this if you have a schematic or symbol filename which begins with ‘-’.

## SCHEMATIC AND SYMBOL FILES

Optionally, schematic or symbol FILEs may be specified on the command line. Any schematic or symbols specified are loaded at startup as separate documents in the schematic editor.

If no FILEs are specified, a blank schematic is created for editing.

## ENVIRONMENT

GEDADATA

specifies the search directory for Scheme and rc files. The default is ‘${prefix}/share/gEDA’.

GEDADATARC

specifies the search directory for rc files. The default is ‘$GEDADATA’.

## AUTHORS

See the ‘AUTHORS’ file included with this program.

## COPYRIGHT

Copyright © 1999-2011 gEDA Contributors. License GPLv2+: GNU GPL
version 2 or later. Please see the ‘COPYING’ file included with this
program for full details.

This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

## SEE ALSO

gnetlist(1), gsymcheck(1)

The full documentation for gschem is available from within the program by selecting the ‘gEDA Documentation’ option from the program’s ‘Help’ menu.